# Grundlagen

## Kernschießmaschinen

Kernschießmaschinen sind industrielle Anlagen, welche in der Gießereiindustrie eingesetzt werden. Sie stellen aus Sand und Bindemitteln Kerne her, welche beim Gießvorgang die Hohlräume der zu gießenden Form ausfüllen. Nach ihrer Verwendung werden die Kerne wieder aufgelöst und die Rohmaterialien wieder dem Prozess zugeführt.
Die Kernschießmaschinen von Laempe arbeiten komplett automatisch und können mehrere Kerne pro Minute herstellen. Sie bestehen, wie viele industrielle Anlagen, aus einer zentralen Steuereinheit und einer vielzahl von Sensoren und Aktoren. Mit ihnen wird eine festgelegte Sequenz von Schritten orchestriert, die unteranderem das Ein-/Ausfahren des Kernkastens, das Schließen der Seitenteile oder das Befüllen der Kernform beinhalten. Eine genaue Aufzählung folgt im [Kapitel 3](30_Implementierung.md).

## Problemstellung

- fehlende Energieerfassung
- Aufzeichnung von Anlagenzuständen in einer Datenbank
  - Korrelation mit Leistungswerten
  - Integration in den vorhandenen Aufbau

## Topologie der Kernschießmaschinen

Die Kommunikationsstruktur von industrielle Anlagen werden in 3 Ebenen unterteilt:

1. Feldebene
2. Kontrollebene
3. Überwachungsebene

In der Feldebene befinden sich alle Sensoren (Temperatursensoren, Lagesensoren, etc.) und Aktoren wie Motoren, Ventile und Signalgeber. Sie sind über Feldbusverteiler mit der nächst höheren Kontrollebene verbunden. Bei Laempe wird neben traditionellen analog verbundenen Geräten hautsächlich auf das IO-Link Bussystem zurückgegriffen. Dadurch sind in allen Teilen ihren Anlagen IO-Link-Feldbusverteiler verbaut, auf die für die Umsetzung der Energiemessung zurückgegriffen werden kann.
Die Kontrollebene besteht aus einer oder mehreren speicherprogrammierbaren Steuerungen (SPS) und ihren untergeordneten Interfacemodulen. Das Zentralmodul einer SPS wird mit einer echtzeitfähigen Sprache programmiert und kommuniziert mit den Interfacemodulen, welche über Erweiterungskarten den verschiedenen Geräten im Feld verbunden sind. Je nach Hersteller kommen hier unterschiedliche Bussysteme zum Einsatz. Deren speziellen Eigenschaften sind im folgenden Kapitel näher erläutert.
Wenn mehrere Steuerungen sich gegenseitig überwachen oder deren Einstellungen über ein Human-Machine-Interface (HMI) angepasst werden können, dann geschieht dies in der Überwachungsebene. Sie ist die höchste Automatisierungsebene, die man am Ort der Anlage vorfinden kann. In ihr befindet sich auch der Hauptteil des Energieüberwachungssystems, da dieses nicht zur Steuerung der Anlage beiträgt.

## Datenbusse

In den Anlagen werden verschiedene Arten von Datenbussen verwendet.

- EtherNet/IP
- ProfiNet
- Modbus TCP