# Implementierung

## Wahl der Sensoren

Zur Erfassung der Energiewerte kommen verschiedene Systeme in Frage. Alle diese Sensorsysteme müssen jedoch folgende Kriterien erfüllen:
  - Eignung und Zertifizierung für industrielle Umgebungen
  - Konvertierung in digitale Signale auf einem standardisierten Feldbus
  - Feldbusanschluss ist in Laempe-Anlagen einsetzbar
  - internationale Versorgungsspannungen werden unterstützt



![Datenfluss](out/diagrams/datenfluss/Datenfluss.svg)

- Untersuchung der Verfügbarkeit von Leistungssensoren mit Feldbusanschluss
- Alternativen für Einspeisung
  - Leistungstrennschalter mit Leistungserfassung über Modbus
  - Stromzähler mit MBus
  - Leistungsanalyse durch einen Energie-Monitor mit Netzwerkfähigkeit
- Erweiterung durch zusätzliche Stromwandler

- Alternativen für Kleinstspannungskreise
  - Stromshunts mit ADC über IO-Link
  - Netzteile mit Modbus
  - elektronische Sicherungen mit IO-Link
- Wahl der Sensoren
  - Janitza Energie-Monitor mit OPC UA
  - IFM elektronische Sicherung mit IO-Link
- Testaufbau
  - Energiemonitor, Feldbus, SPS, Netzwerk, IPC
- Einbau in eine fertige Anlage